package com.ar.imagetracear.database;

import android.content.Context;

import androidx.room.Database;
import androidx.room.Room;
import androidx.room.RoomDatabase;

import com.ar.imagetracear.MyApplication;

@Database(entities = {ImageTraceEntry.class}, version = MyApplication.DATABASE_VERSION, exportSchema = false)
public abstract class AppDatabase extends RoomDatabase {

    public abstract ImageTraceEntryDao imageTraceEntryDao();

    private static volatile AppDatabase INSTANCE;

    public static AppDatabase getInstance(Context context) {
        if (INSTANCE == null) {
            synchronized (AppDatabase.class) {
                if (INSTANCE == null) {
                    INSTANCE = Room.databaseBuilder(context.getApplicationContext(),
                                    AppDatabase.class, MyApplication.DATABASE_NAME)
                            .build();
                }
            }
        }
        return INSTANCE;
    }
}
